Skip to main content
`Ctrl`+`K`

# MatKAIJGetAIJ

Get the `MATAIJ` matrix describing the blockwise action of the `MATKAIJ` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetAIJ(Mat A, Mat *B)

Not Collective, but if the `MATKAIJ` matrix is parallel, the `MATAIJ` matrix is also parallel

## Input Parameter

- A - the `MATKAIJ` matrix

## Output Parameter

- B - the `MATAIJ` matrix

## Note

The reference count on the `MATAIJ` matrix is not increased so you should not destroy it.

## See Also

Matrices, `Mat`, `MatCreateKAIJ()`, `MATKAIJ`, `MATAIJ`

## Level

advanced

## Location

src/mat/impls/kaij/kaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages